Firefox 66.0.4 saapuu korjaamaan ongelman lisäosilla

äskettäin Mozillan kehittäjät ovat julkaisseet korjaavat muokkaukset monipuolinen Firefox 66.0.4 ja 60.6.2 ESR, joka ehdottaa ratkaisua vanhentuneen välivarmenteen korvaamiseen ja käytöstä poistettujen apuohjelmien palauttamiseen.

kuten kuten kommentoimme edellisessä artikkelissa, Firefox-käyttäjät huomasivat ongelman selaimesi kanssa: he eivät voineet asentaa laajennuksia eivätkä nykyiset laajennuksensa enää toimineet.

Blogikirjoituksessa Mozilla sanoi, että se tunnisti ongelman ja konfiguroi korjaustiedoston käyttäjille:

«Viime perjantaina 3. toukokuuta saimme tietää Firefoxin ongelmasta, joka esti uusien lisäosamoduulien käynnistämisen tai asentamisen. Pahoittelemme Firefox-käyttäjille aiheutunutta haittaa.

"Tiimimme tunnisti ongelman ja otti käyttöön korjaustiedoston kaikille Firefox Desktop -käyttäjille Release-, Beta- ja Nightly-kanavilla. Ratkaisua käytetään automaattisesti taustalla muutaman tunnin kuluessa.

Firefox-ei laajennusta
Aiheeseen liittyvä artikkeli:
Firefox-laajennuksia ei voida enää käyttää, koska varmenne ei ole enää voimassa

Sinun ei tarvitse ottaa aktiivisia toimenpiteitä saadaksesi laajennukset toimimaan uudelleen. Älä erityisesti poista tai asenna mitään laajennuksia yrittääksesi ratkaista ongelman. Laajennuksen poistaminen poistaa kaikki siihen liittyvät tiedot, toisin kuin deaktivointi ja uudelleenaktivointi.

Firefox ei vieläkään korjaa ongelmia kokonaan

Vaikka tämä uusi julkaisu korjaa varmenteiden ongelman, ratkaisemattomia sivuvaikutuksia on edelleen useita:

jotkut Laajennuksia, kuten Epubreader, ei palauteta to about: apuohjelmat sen jälkeen, kun varmenne on päivitetty tai se ei ole tuetussa tilassa.

Ongelma koskee laajennuksiin ilman tunnusta manifest.json-tiedostossa jotka poistettiin digitaalisen allekirjoituksen vahvistusvirheen sattuessa.

Joten on suositeltavaa asentaa tällaiset lisäykset uudelleen (tiedot palautetaan, kun ne pysyvät hakemistossa profiilin kanssa).

on tietojen ja asetusten menetys lisäyksissä, jotka käyttävät säilötoimintoja kontekstissa, esimerkiksi monitilikonttien ja Facebook-konttien lisäyksinä.

Käyttäjiä kehotetaan määrittämään nämä laajennukset uudelleen osoitteessa: addons.

Teemoja ei palauteta. Käyttäjiä kehotetaan ottamaan ne uudelleen käyttöön laajennusten hallinnassa.

Kotisivun ja hakukoneiden oletusasetukset palautetaan oletusarvoihin. Käyttäjän on määritettävä kotisivu ja hakukone uudelleen.

Vanhemmille versioille (Firefox 56.0.2 ja vanhemmat), jotka eivät sisällä normandiaa (osa, joka tukee tutkimusta, kyselyn tekemistä ja uusien ominaisuuksien suunnittelematonta aktivointia), harrastajat ehdottivat ongelman ratkaisemista purkamalla varmenteen ratkaisulla XPI-tiedostosta.

Poimittu varmenne on kirjoitettava pem-tiedostoon ja tuotava tiedosto valintaikkunan «Asetukset - Tietosuoja ja turvallisuus - Sertifikaatit - Näytä sertifikaatit - Viranomaiset - Tuo» kautta.

Lisäksi, voimme seurata keskustelua riippuvuudesta Tor-selaimesta Mozilla-infrastruktuurista.

Siitä lähtien Tor-selaimen käyttäjät ovat kärsineet mukana toimitetuilla NoScript- ja HTTPS-Everywhere-laajennuksilla, jotka tarjoavat lisäsuojauksen.

Palauta vain määrittämällä asetukset xpinstall.signatures.required = väärä en about: config, mutta se, että luotetaan Tor-selaimen käyttäjien kolmansiin osapuoliin, herättää kysymyksiä, joiden toiminta voi poistaa nimettömyyden lisää.

Kuinka asentaa Firefox 66.04 Linuxiin?

Voit asentaa tämän uuden korjaavan version selaimesta noudattamalla alla olevia jakamiamme ohjeita.

Ubuntun, Linux Mintin tai muun Ubuntun johdannaisen käyttäjät, He voivat asentaa tai päivittää uuden version selaimen PPA: n avulla.

Tämä voidaan lisätä järjestelmään avaamalla pääte ja suorittamalla seuraava komento siinä:

sudo add-apt-repository ppa:ubuntu-mozilla-security/ppa -y && sudo apt-get update

Tehty tämä nyt heidän on vain asennettava:

sudo apt install firefox

Jos kyseessä on Arch Linux -käyttäjät ja johdannaiset, aja vain terminaalissa:

sudo pacman -Syu

Tai asentaa seuraavalla tavalla:

sudo pacman -S firefox

että kaikki muut Linux-jakelut voivat ladata binaaripaketit alkaen seuraava linkki.  


Artikkelin sisältö noudattaa periaatteita toimituksellinen etiikka. Ilmoita virheestä napsauttamalla täällä.

3 kommenttia, jätä omasi

Jätä kommentti

Sähköpostiosoitettasi ei julkaista.

*

*

  1. Vastaa tiedoista: AB Internet Networks 2008 SL
  2. Tietojen tarkoitus: Roskapostin hallinta, kommenttien hallinta.
  3. Laillistaminen: Suostumuksesi
  4. Tietojen välittäminen: Tietoja ei luovuteta kolmansille osapuolille muutoin kuin lain nojalla.
  5. Tietojen varastointi: Occentus Networks (EU) isännöi tietokantaa
  6. Oikeudet: Voit milloin tahansa rajoittaa, palauttaa ja poistaa tietojasi.

  1.   Jorge dijo

    Hyvin tehdyt vaiheet kertovat minulle, että minulla on jo Firefoxin uusin versio, eikä sitä ole päivitetty vastaavaksi 66.04: ksi

    1.    David naranjo dijo

      Koska minkä distron teet, suljetko selaimen päivittäessäsi?

  2.   Ferdinand Aragón dijo

    Aiotko korjata ongelman versioille 56.0.2 ja sitä vanhemmille?